> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfda/drug/events

> Get an FDA FAERS drug adverse-event safety report by its safety report id

**Price:** 1 credit

**⚠️ Common errors:** 412: Safety report not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/openfda/drug/events
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfda/drug/events:
    post:
      tags:
        - /openfda/drug
      summary: /openfda/drug/events
      description: >-
        Get an FDA FAERS drug adverse-event safety report by its safety report
        id


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Safety report not found
      operationId: __api_openfda_drug_events_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfdaDrugEventsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfdaDrugEvent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfdaDrugEventsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
      type: object
      required:
        - id
    OpenfdaDrugEvent:
      properties:
        '@type':
          type: string
          default: OpenfdaDrugEvent
        safetyreportid:
          type: string
        safetyreportversion:
          anyOf:
            - type: string
            - type: 'null'
        serious:
          type: boolean
          default: false
        seriousness:
          items:
            type: string
          type: array
          default: []
        received_at:
          anyOf:
            - type: integer
            - type: 'null'
        receipt_at:
          anyOf:
            - type: integer
            - type: 'null'
        transmission_at:
          anyOf:
            - type: integer
            - type: 'null'
        report_type:
          anyOf:
            - type: string
            - type: 'null'
        fulfill_expedite_criteria:
          anyOf:
            - type: string
            - type: 'null'
        company_number:
          anyOf:
            - type: string
            - type: 'null'
        occur_country:
          anyOf:
            - type: string
            - type: 'null'
        primary_source_country:
          anyOf:
            - type: string
            - type: 'null'
        reporter_country:
          anyOf:
            - type: string
            - type: 'null'
        reporter_qualification:
          anyOf:
            - type: string
            - type: 'null'
        sender_organization:
          anyOf:
            - type: string
            - type: 'null'
        patient:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaEventPatient'
            - type: 'null'
      type: object
      required:
        - safetyreportid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfdaEventPatient:
      properties:
        '@type':
          type: string
          default: OpenfdaEventPatient
        onset_age:
          anyOf:
            - type: string
            - type: 'null'
        onset_age_unit:
          anyOf:
            - type: string
            - type: 'null'
        sex:
          anyOf:
            - type: string
            - type: 'null'
        weight:
          anyOf:
            - type: string
            - type: 'null'
        reactions:
          items:
            $ref: '#/components/schemas/OpenfdaEventReaction'
          type: array
          default: []
        drugs:
          items:
            $ref: '#/components/schemas/OpenfdaEventDrug'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenfdaEventReaction:
      properties:
        '@type':
          type: string
          default: OpenfdaEventReaction
        term:
          type: string
        outcome:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - term
    OpenfdaEventDrug:
      properties:
        '@type':
          type: string
          default: OpenfdaEventDrug
        medicinal_product:
          anyOf:
            - type: string
            - type: 'null'
        characterization:
          anyOf:
            - type: string
            - type: 'null'
        indication:
          anyOf:
            - type: string
            - type: 'null'
        administration_route:
          anyOf:
            - type: string
            - type: 'null'
        authorization_number:
          anyOf:
            - type: string
            - type: 'null'
        dosage_text:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
        openfda:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaBlock'
            - type: 'null'
      type: object
    OpenfdaBlock:
      properties:
        '@type':
          type: string
          default: OpenfdaBlock
        application_number:
          items:
            type: string
          type: array
          default: []
        brand_name:
          items:
            type: string
          type: array
          default: []
        generic_name:
          items:
            type: string
          type: array
          default: []
        manufacturer_name:
          items:
            type: string
          type: array
          default: []
        product_ndc:
          items:
            type: string
          type: array
          default: []
        package_ndc:
          items:
            type: string
          type: array
          default: []
        product_type:
          items:
            type: string
          type: array
          default: []
        route:
          items:
            type: string
          type: array
          default: []
        substance_name:
          items:
            type: string
          type: array
          default: []
        rxcui:
          items:
            type: string
          type: array
          default: []
        unii:
          items:
            type: string
          type: array
          default: []
        spl_id:
          items:
            type: string
          type: array
          default: []
        spl_set_id:
          items:
            type: string
          type: array
          default: []
        nui:
          items:
            type: string
          type: array
          default: []
        pharm_class_cs:
          items:
            type: string
          type: array
          default: []
        pharm_class_epc:
          items:
            type: string
          type: array
          default: []
        pharm_class_moa:
          items:
            type: string
          type: array
          default: []
        pharm_class_pe:
          items:
            type: string
          type: array
          default: []
        is_original_packager:
          items:
            type: string
          type: array
          default: []
        device_class:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        medical_specialty_description:
          anyOf:
            - type: string
            - type: 'null'
        regulation_number:
          anyOf:
            - type: string
            - type: 'null'
        fei_number:
          items:
            type: string
          type: array
          default: []
        registration_number:
          items:
            type: string
          type: array
          default: []
        k_number:
          items:
            type: string
          type: array
          default: []
        pma_number:
          items:
            type: string
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````